using UnityEngine;
using WaveHarmonic.Crest;

public class BuoyancyWaterProvider : MonoBehaviour, IWaterProvider
{
    public WaterRenderer Water;
    readonly SampleFlowHelper _SampleFlowHelper = new();
    public float waterLevel = 0f;

    public float GetWaterHeight(Vector3 worldPos)
    {
        return waterLevel;
    }

    public Vector3 GetWaterNormal(Vector3 worldPos)
    {
        return Vector3.up;
    }

    public Vector3 GetWaterVelocity(Vector3 worldPos)
    {
        return Vector3.zero; // 关键！不要乱给
    }
}